## Apache Zeta Components Manual :: File Source for ldap_exception.php

## Source for file ldap_exception.php

Documentation is available at ldap_exception.php

1. <?php
2. /**
3. * File containing the ezcAuthenticationLdapException class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @filesource
24. * @package Authentication
25. * @version //autogen//
26. */
28. /**
29. * Thrown when an exceptional state occurs in the LDAP authentication.
30. *
31. * @package Authentication
32. * @version //autogen//
33. */
34. class ezcAuthenticationLdapException extends ezcAuthenticationException
35. {
36. /**
37. * Constructs a new ezcAuthenticationLdapException with error message
38. * $message and error code $code.
39. *
40. * Code $code is received in decimal format and will be displayed in
41. * hexadecimal format. See http://php.net/manual/en/function.ldap-errno.php
42. * for all the error codes returned by ldap_errno().
43. *
44. * @param string $message Message to throw
45. * @param mixed $code Error code returned by ldap_errno() function
46. * @param mixed $ldapMessage Message thrown by the LDAP server
47. */
48. public function __construct ( $message, $code = false, $ldapMessage = false )
49. {
50. $exMessage = $message;
51. if ( $ldapMessage !== false )
52. {
53. $exMessage .= ': ' . $ldapMessage;
54. }
55. if ( $code !== false )
56. {
57. $exMessage .= ' (code: ' . $code . ')';
58. }
59. parent:: __construct ( $exMessage );
60. }
61. }
62. ?>

Documentation generated by phpDocumentor 1.4.3